---
regenerate:             false
---

{% capture cache %}

{% comment %}
 # -----------------------------------------------------------------------------
 #  J1: ~/assets/themes/j1/j1/js/adapters/bs_theme_switcher.js
 #  JS/Liquid template to create the J1 Adapter for BS Theme Switcher
 #
 #  Product/Info:
 #  https://jekyll.one
 #  https://github.com/jguadagno/bootstrapThemeSwitcher
 #
 #  Copyright (C) 2016 Juergen Adams
 #  Copyright (C) 2014 Joseph Guadagno
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  BS Theme Switcher is licensed under the MIT License.
 #  For details, see https://github.com/jguadagno/bootstrapThemeSwitcher/blob/master/LICENSE
 #
 # -----------------------------------------------------------------------------
 # Test data:
 #  {{ config | debug }}
 # -----------------------------------------------------------------------------
{% endcomment %}

/*
 # -----------------------------------------------------------------------------
 #  J1: ~/assets/themes/j1/j1/js/adapters/bs_theme_switcher.js
 #  J1 Adapter for BS Theme Switcher
 #
 #  Product/Info:
 #  https://jekyll.one
 #  https://github.com/jguadagno/bootstrapThemeSwitcher
 #
 #  Copyright (C) 2016 Juergen Adams
 #  Copyright (C) 2014 Joseph Guadagno
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  BS Theme Switcher is licensed under the MIT License.
 #  For details, see https://github.com/jguadagno/bootstrapThemeSwitcher/blob/master/LICENSE
 #
 # -----------------------------------------------------------------------------
 #  Adapter generated: {{site.time}}
 # -----------------------------------------------------------------------------
*/

{% assign environment = site.environment %}
{% assign config      = site.data.modules.j1_bs_theme_switcher %}

var J1BsThemeSwitcher = function () {

  return {
    // Initialize
    init: function () {

      $().bootstrapThemeSwitcher.defaults = {
        debug:                    {{ config.debug | json }},
        cssThemeLink:             {{ config.cssThemeLink | json }},
        saveToCookie:             {{ config.saveToCookie | json }},
        cookieThemeName:          {{ config.cookieThemeName | json }},
        cookieDefaultThemeName:   {{ config.cookieDefaultThemeName | json }},
        cookieThemeCss:           {{ config.cookieThemeCss | json }},
        cookieExpiration:         {{ config.cookieExpiration | json }},
        cookiePath:               {{ config.cookiePath | json }},
        defaultCssFile:           {{ config.defaultCssFile | json }},
        bootswatchApiUrl:         {{ config.bootswatchApiUrl | json }},
        bootswatchApiVersion:     {{ config.bootswatchApiVersion | json }},
        loadFromBootswatch:       {{ config.loadFromBootswatch | json }},
        localFeed:                {{ config.localFeed | json }},
        excludeBootswatch:        {{ config.excludeBootswatch | json }},
        hideOnReload:             {{ config.hideOnReload | json }},
      };

      // Setup theme selectors
      $('#ThemeList').bootstrapThemeSwitcher({localFeed: ''}); // Load from Bootswatch API
      $('#ThemeSelect').bootstrapThemeSwitcher();              // Load from localFeed

    } // end init
  }; // end return
}();
{% endcapture %}

{{ cache | strip_empty_lines }}
{% assign cache = nil %}